package com.heyu.api.data.entity.vv;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*推广者获得奖品名细子单
* @author quyixiao
* @since 2025-11-21
*/

@Data
@TableName("vv_promoter_trade_order_line_award")
public class VvPromoterTradeOrderLineAwardEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvPromoterTradeOrderLineAwardEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                                         // 
    public final static String is_delete = CLASS_NAME + "is_delete";                                            // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                                        // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                                        // 修改时间
    public final static String create_timestamp = CLASS_NAME + "create_timestamp";                              // 创建时间戳
    public final static String modify_timestamp = CLASS_NAME + "modify_timestamp";                              // 修改时间
    public final static String activity_id = CLASS_NAME + "activity_id";                                        // 活动id
    public final static String activity_name = CLASS_NAME + "activity_name";                                    // 活动名称
    public final static String promoter_id = CLASS_NAME + "promoter_id";                                        // 推广者id，唯一值
    public final static String promoter_buyer_id = CLASS_NAME + "promoter_buyer_id";                            // 
    public final static String promoter_buyer_name = CLASS_NAME + "promoter_buyer_name";                        // 买家名称
    public final static String promoter_buyer_weixin = CLASS_NAME + "promoter_buyer_weixin";                    // 买家微信
    public final static String promoter_buyer_phone = CLASS_NAME + "promoter_buyer_phone";                      // 买家手机号
    public final static String was_buyer_id = CLASS_NAME + "was_buyer_id";                                      // 被推荐者买家id
    public final static String was_buyer_name = CLASS_NAME + "was_buyer_name";                                  // 被推荐者买家名称
    public final static String was_buyer_weixin = CLASS_NAME + "was_buyer_weixin";                              // 被推荐者买家微信
    public final static String was_buyer_phone = CLASS_NAME + "was_buyer_phone";                                // 被推荐者买家手机号
    public final static String award_amount = CLASS_NAME + "award_amount";                                      // 奖励金额
    public final static String trade_order_id = CLASS_NAME + "trade_order_id";                                  // 订单id
    public final static String trade_order_line_id = CLASS_NAME + "trade_order_line_id";                        // 子订单id
    public final static String status_ = CLASS_NAME + "status";                                                 // create 创建, canceled 取消 , arrive，到账
    public final static String promoter_trade_order_award_id = CLASS_NAME + "promoter_trade_order_award_id";    // 推荐id
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //创建时间戳
    private Long createTimestamp;
    //修改时间
    private Long modifyTimestamp;
    //活动id
    private Long activityId;
    //活动名称
    private String activityName;
    //推广者id，唯一值
    private String promoterId;
    //
    private Long promoterBuyerId;
    //买家名称
    private String promoterBuyerName;
    //买家微信
    private String promoterBuyerWeixin;
    //买家手机号
    private String promoterBuyerPhone;
    //被推荐者买家id
    private Long wasBuyerId;
    //被推荐者买家名称
    private String wasBuyerName;
    //被推荐者买家微信
    private String wasBuyerWeixin;
    //被推荐者买家手机号
    private String wasBuyerPhone;
    //奖励金额
    private BigDecimal awardAmount;
    //订单id
    private Long tradeOrderId;
    //子订单id
    private Long tradeOrderLineId;
    //create 创建, canceled 取消 , arrive，到账
    private String status;
    //推荐id
    private Long promoterTradeOrderAwardId;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 创建时间戳 
     * @return
     */
    public Long getCreateTimestamp() {
        return createTimestamp;
    }
    /**
     * 创建时间戳 
     * @param createTimestamp
     */
    public void setCreateTimestamp(Long createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    /**
     * 修改时间 
     * @return
     */
    public Long getModifyTimestamp() {
        return modifyTimestamp;
    }
    /**
     * 修改时间 
     * @param modifyTimestamp
     */
    public void setModifyTimestamp(Long modifyTimestamp) {
        this.modifyTimestamp = modifyTimestamp;
    }

    /**
     * 活动id 
     * @return
     */
    public Long getActivityId() {
        return activityId;
    }
    /**
     * 活动id 
     * @param activityId
     */
    public void setActivityId(Long activityId) {
        this.activityId = activityId;
    }

    /**
     * 活动名称 
     * @return
     */
    public String getActivityName() {
        return activityName;
    }
    /**
     * 活动名称 
     * @param activityName
     */
    public void setActivityName(String activityName) {
        this.activityName = activityName;
    }

    /**
     * 推广者id，唯一值 
     * @return
     */
    public String getPromoterId() {
        return promoterId;
    }
    /**
     * 推广者id，唯一值 
     * @param promoterId
     */
    public void setPromoterId(String promoterId) {
        this.promoterId = promoterId;
    }

    /**
     *  
     * @return
     */
    public Long getPromoterBuyerId() {
        return promoterBuyerId;
    }
    /**
     *  
     * @param promoterBuyerId
     */
    public void setPromoterBuyerId(Long promoterBuyerId) {
        this.promoterBuyerId = promoterBuyerId;
    }

    /**
     * 买家名称 
     * @return
     */
    public String getPromoterBuyerName() {
        return promoterBuyerName;
    }
    /**
     * 买家名称 
     * @param promoterBuyerName
     */
    public void setPromoterBuyerName(String promoterBuyerName) {
        this.promoterBuyerName = promoterBuyerName;
    }

    /**
     * 买家微信 
     * @return
     */
    public String getPromoterBuyerWeixin() {
        return promoterBuyerWeixin;
    }
    /**
     * 买家微信 
     * @param promoterBuyerWeixin
     */
    public void setPromoterBuyerWeixin(String promoterBuyerWeixin) {
        this.promoterBuyerWeixin = promoterBuyerWeixin;
    }

    /**
     * 买家手机号 
     * @return
     */
    public String getPromoterBuyerPhone() {
        return promoterBuyerPhone;
    }
    /**
     * 买家手机号 
     * @param promoterBuyerPhone
     */
    public void setPromoterBuyerPhone(String promoterBuyerPhone) {
        this.promoterBuyerPhone = promoterBuyerPhone;
    }

    /**
     * 被推荐者买家id 
     * @return
     */
    public Long getWasBuyerId() {
        return wasBuyerId;
    }
    /**
     * 被推荐者买家id 
     * @param wasBuyerId
     */
    public void setWasBuyerId(Long wasBuyerId) {
        this.wasBuyerId = wasBuyerId;
    }

    /**
     * 被推荐者买家名称 
     * @return
     */
    public String getWasBuyerName() {
        return wasBuyerName;
    }
    /**
     * 被推荐者买家名称 
     * @param wasBuyerName
     */
    public void setWasBuyerName(String wasBuyerName) {
        this.wasBuyerName = wasBuyerName;
    }

    /**
     * 被推荐者买家微信 
     * @return
     */
    public String getWasBuyerWeixin() {
        return wasBuyerWeixin;
    }
    /**
     * 被推荐者买家微信 
     * @param wasBuyerWeixin
     */
    public void setWasBuyerWeixin(String wasBuyerWeixin) {
        this.wasBuyerWeixin = wasBuyerWeixin;
    }

    /**
     * 被推荐者买家手机号 
     * @return
     */
    public String getWasBuyerPhone() {
        return wasBuyerPhone;
    }
    /**
     * 被推荐者买家手机号 
     * @param wasBuyerPhone
     */
    public void setWasBuyerPhone(String wasBuyerPhone) {
        this.wasBuyerPhone = wasBuyerPhone;
    }

    /**
     * 奖励金额 
     * @return
     */
    public BigDecimal getAwardAmount() {
        return awardAmount;
    }
    /**
     * 奖励金额 
     * @param awardAmount
     */
    public void setAwardAmount(BigDecimal awardAmount) {
        this.awardAmount = awardAmount;
    }

    /**
     * 订单id 
     * @return
     */
    public Long getTradeOrderId() {
        return tradeOrderId;
    }
    /**
     * 订单id 
     * @param tradeOrderId
     */
    public void setTradeOrderId(Long tradeOrderId) {
        this.tradeOrderId = tradeOrderId;
    }

    /**
     * 子订单id 
     * @return
     */
    public Long getTradeOrderLineId() {
        return tradeOrderLineId;
    }
    /**
     * 子订单id 
     * @param tradeOrderLineId
     */
    public void setTradeOrderLineId(Long tradeOrderLineId) {
        this.tradeOrderLineId = tradeOrderLineId;
    }

    /**
     * create 创建, canceled 取消 , arrive，到账 
     * @return
     */
    public String getStatus() {
        return status;
    }
    /**
     * create 创建, canceled 取消 , arrive，到账 
     * @param status
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 推荐id 
     * @return
     */
    public Long getPromoterTradeOrderAwardId() {
        return promoterTradeOrderAwardId;
    }
    /**
     * 推荐id 
     * @param promoterTradeOrderAwardId
     */
    public void setPromoterTradeOrderAwardId(Long promoterTradeOrderAwardId) {
        this.promoterTradeOrderAwardId = promoterTradeOrderAwardId;
    }

    @Override
    public String toString() {
        return "VvPromoterTradeOrderLineAwardEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",createTimestamp=" + createTimestamp +
                ",modifyTimestamp=" + modifyTimestamp +
                ",activityId=" + activityId +
                ",activityName=" + activityName +
                ",promoterId=" + promoterId +
                ",promoterBuyerId=" + promoterBuyerId +
                ",promoterBuyerName=" + promoterBuyerName +
                ",promoterBuyerWeixin=" + promoterBuyerWeixin +
                ",promoterBuyerPhone=" + promoterBuyerPhone +
                ",wasBuyerId=" + wasBuyerId +
                ",wasBuyerName=" + wasBuyerName +
                ",wasBuyerWeixin=" + wasBuyerWeixin +
                ",wasBuyerPhone=" + wasBuyerPhone +
                ",awardAmount=" + awardAmount +
                ",tradeOrderId=" + tradeOrderId +
                ",tradeOrderLineId=" + tradeOrderLineId +
                ",status=" + status +
                ",promoterTradeOrderAwardId=" + promoterTradeOrderAwardId +
                "}";
    }
}